<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<body style="margin:0;" background="images/lbg.gif">

<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td height="45" background="images/top_bg.gif"><div style="width:0px; height:45px;"><span></span></div></td>
    <td width="698" height="45" background="images/top_bg.gif"></td>
    <td height="45" background="images/top_bg.gif"></td>
  </tr>
  <tr>
    <td align="right" background="images/menu_r_bg.gif"><img src="images/menu_l.gif" /></td>
    <td  valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="6"><img src="images/menu_01.gif" /></td>
        <td background="images/menu_bg.gif"><!-- MENU -->
            <table border="0" align="center" cellpadding="0" cellspacing="0">
              <xsl:call-template name="TOP-MENU"/>
              </table>
          <!-- END MENU -->        </td>
        <td width="6"><img src="images/menu_02.gif" /></td>
      </tr>
    </table></td>
    <td align="left" background="images/menu_r_bg.gif"><img src="images/menu_r.gif" /></td>
  </tr>
  <tr>
    <td width="41" rowspan="2" background="images/lbg.gif"><div style="width:41px; height:0px;"><span></span></div></td>
    <td valign="top" background="images/header_bg.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="211" valign="top" background="images/header.jpg" style="background-position:right; background-repeat:no-repeat;"><!-- LOGO -->
            <table width="220" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="30" rowspan="4"><div style="width:30px; height:0px;"><span></span></div></td>
                <td height="25"><div style="width:0px; height:25px;"><span></span></div></td>
              </tr>
              <tr>
                <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
              </tr>
              <tr>
                <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
              </tr>
              <tr>
                <td class="slogan"><div align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
              </tr>
            </table>
          <!-- END LOGO -->        </td>
      </tr>
    </table></td>
    <td width="41" rowspan="2" background="images/lbg.gif"><div style="width:41px; height:0px;"><span></span></div></td>
  </tr>
  <tr>
    <td valign="top"><table width="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
      <tr>
        <td width="187" valign="top"><div style="width:187px; height:30px;"><span></span></div>
            <!-- SUBMENU -->
            <table border="0" width="156" align="right" cellspacing="0" cellpadding="0">
              <xsl:call-template name="SUB-MENU">
                <xsl:with-param name="pageID" select="@ID"/>
              </xsl:call-template>
            </table>
          <!-- END SUBMENU -->
            <div style="width:0px; height:30px;"><span></span></div></td>
        <td width="1" bgcolor="E1E2E3"><div style="width:1px; height:0px;"><span></span></div></td>
        <td height="400" valign="top" style="padding:25px;"><table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
            <!-- CONTENT -->
            <tr>
              <td height="35"><table border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td class="text-header style3"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                    <td width="25" class="text-header"><div align="right"><img src="images/t_icon.gif" width="21" height="19" /></div></td>
                  </tr>
              </table></td>
            </tr>
            <tr>
              <td name="SB_stretch" class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/>              </td>
            </tr>
            <!-- END CONTENT -->
            <tr>
              <td height="20"></td>
            </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td align="right" background="images/menu_r_bg.gif"><img src="images/menu_l.gif" /></td>
    <td valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="6"><img src="images/menu_01.gif" /></td>
        <td background="images/menu_bg.gif"><!-- BMENU -->
            <table border="0" align="center" cellpadding="0" cellspacing="0">
              <xsl:call-template name="BOTTOM-MENU"/>
            </table>
          <!-- END BMENU -->        </td>
        <td width="6"><img src="images/menu_02.gif" /></td>
      </tr>
    </table></td>
    <td align="left" background="images/menu_r_bg.gif"><img src="images/menu_r.gif" /></td>
  </tr>
  <tr>
    <td height="45" background="images/copy_bg.gif"><div style="width:0px; height:45px;"><span></span></div></td>
    <td valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="45" background="images/copy_bg.gif"><!-- FOOTER -->
            <div align="center"> <span class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></span> </div>
          <!-- END FOOTER -->        </td>
      </tr>
    </table></td>
    <td background="images/copy_bg.gif"></td>
  </tr>
</table>
</body>
</HTML>

</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				
				<td class="asubmenu" style="padding-right: 5px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td style="padding-right: 10px;"><img src="images/submenu_bullet_active.gif" border="0" alt=""/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					
					<td style="padding-right: 5px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td style="padding-right: 10px;"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="20"><div style="height:2px;  background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
      </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
  </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>


